import type { RawSourceMap } from 'source-map';

export interface Bundled {
	readonly bundled: string,
}

export interface HashedBundled extends Bundled {
	readonly hash: string,
}

export interface SourceMappedBundled extends Bundled {
	readonly sourceMap: RawSourceMap,
}

export interface SourceMappedHashedBundled extends SourceMappedBundled, HashedBundled {}
